#
# Conditional build:
%bcond_without  doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2	# CPython 2.x module
%bcond_with	python3	# CPython 3.x module (built from python3-flask.spec)

%define 	module	flask
Summary:	A microframework based on Werkzeug, Jinja2 and good intentions
Summary(pl.UTF-8):	Mikroszkielet oparty na Werkzeugu, Jinja2 i dobrych intencjach
Name:		python-%{module}
# keep 1.x here for python2 support
Version:	1.1.4
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/Flask
Source0:	https://files.pythonhosted.org/packages/source/F/Flask/Flask-%{version}.tar.gz
# Source0-md5:	49c23fb3096ee548f9737bbddc934c41
Patch0:		0001-Don-t-require-sphinxcontrib.log_cabinet-extension.patch
Patch1:		%{name}-pathlib2.patch
URL:		https://flask.palletsprojects.com/
%if %{with tests} && %(locale -a | grep -q '^C\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-click >= 5.1
BuildRequires:	python-itsdangerous >= 0.24
BuildRequires:	python-jinja2 >= 2.10.1
BuildRequires:	python-pathlib2
BuildRequires:	python-pytest
BuildRequires:	python-werkzeug >= 0.15
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-click >= 5.1
BuildRequires:	python3-itsdangerous >= 0.24
BuildRequires:	python3-jinja2 >= 2.10.1
BuildRequires:	python3-pytest
BuildRequires:	python3-werkzeug >= 0.15
%endif
%endif
%if %{with doc}
BuildRequires:	python3-pallets-sphinx-themes
BuildRequires:	python3-sphinx_issues
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flask is a microframework for Python based on Werkzeug, Jinja 2 and
good intentions.

%description -l pl.UTF-8
Flask to mikroszkielet dla Pythona oparty na modułach Werkzeug i
Jinja2 oraz dobrych intencjach.

%package -n python3-%{module}
Summary:	A microframework based on Werkzeug, Jinja2 and good intentions
Summary(pl.UTF-8):	Mikroszkielet oparty na Werkzeugu, Jinja2 i dobrych intencjach
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
Flask is a microframework for Python based on Werkzeug, Jinja 2 and
good intentions.

%description -n python3-%{module} -l pl.UTF-8
Flask to mikroszkielet dla Pythona oparty na modułach Werkzeug i
Jinja2 oraz dobrych intencjach.

%package apidocs
Summary:	Documentation for Python Flask package
Summary(pl.UTF-8):	Dokumentacja do pakietu Pythona Flask
Group:		Documentation

%description apidocs
Documentation for Python Flask package.

%description apidocs -l pl.UTF-8
Dokumentacja do pakietu Pythona Flask.

%prep
%setup -q -n Flask-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/flask{,-3}

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%endif

%if %{with python2}
%py_install

%py_postclean

%{__mv} $RPM_BUILD_ROOT%{_bindir}/flask{,-2}
ln -sf flask-2 $RPM_BUILD_ROOT%{_bindir}/flask

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.rst
%attr(755,root,root) %{_bindir}/flask
%attr(755,root,root) %{_bindir}/flask-2
%{py_sitescriptdir}/flask
%{py_sitescriptdir}/Flask-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.rst
%attr(755,root,root) %{_bindir}/flask-3
%{py3_sitescriptdir}/flask
%{py3_sitescriptdir}/Flask-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,deploying,patterns,tutorial,*.html,*.js}
%endif
%changelog
* Fri Oct 13 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-flask.git;a=log;h=master

* Fri Oct 13 2023 Jakub Bogusz <qboosh@pld-linux.org> bd3097f
- updated to 1.1.4 (for python2.7) instead of accidental 2.0.2 commit
- added patch to fix pathlib test

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 5824674
- Disable python3 support (there is separate, python3-flask.spec now)

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a2e078c
- Rediff patch.

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 792dfac
- release 2 (by relup.sh)

* Wed Jan 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 646195a
- updated to 1.1.2

* Fri Jan 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 5242728
- up to 1.1.1

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> bab80cd
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 744fd32
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 590f22a
- up to 1.0.2 but building with tests/doc fails

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a80de6
- release 2 (by relup.sh)

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 6835432
- updated to 0.12
- added python3.6 patch (fixes tests with python 3.6
- run tests, build -apidocs

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a5f5168
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b057849
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d79c30c
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bb76c6e
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> da0f03d
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f227bd
- python 3.4
- release 2 (by relup.sh)

* Thu Oct 02 2014 Mateusz Korniak <matkor@pld-linux.org> 21189e0
- Version 0.10.1-1
- Added python3 packages

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 5666ac4
- cleanup

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> 5b5acce
- new

